メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
branding
/
phone
/
providers
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    phone "github.com/auth0/go-auth0/management/branding/phone"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Branding.Phone.Providers.List(
        context.TODO(),
        &phone.ListBrandingPhoneProvidersRequestParameters{
            Disabled: management.Bool(
                true,
            ),
        },
    )
}
{
  "providers": [
    {
      "name": "twilio",
      "id": "<string>",
      "tenant": "<string>",
      "channel": "phone",
      "disabled": true,
      "configuration": {
        "sid": "<string>",
        "delivery_methods": [
          "text"
        ],
        "default_from": "<string>",
        "mssid": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

disabled
boolean

Whether the provider is enabled (false) or disabled (true).

レスポンス

Phone providers have been successfully retrieved.

providers
object[]